Pular para o conteúdo principal
Cancel a Transfer
curl --request DELETE \
  --url https://api.spherepay.co/v2/transfer/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "payout_d243ab2b1de4447d8a046d87fefe58cf",
  "externalId": "merchant_ref_123",
  "type": "on_ramp",
  "status": "canceled",
  "customer": "customer_f31121c389624d3697cbf3ea8830b7a4",
  "fees": {
    "integratorFee": {
      "fixedAmount": "0.00",
      "bpsRate": "25",
      "bpsAmount": "0.00",
      "totalAmount": "0.00",
      "currency": "usd"
    },
    "platformFee": {
      "fixedAmount": "0.00",
      "bpsRate": "10",
      "bpsAmount": "0.00",
      "totalAmount": "0.00",
      "currency": "usd"
    }
  },
  "source": {
    "id": "bankAccount_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
    "type": "bank_account"
  },
  "destination": {
    "id": "wallet_e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0",
    "type": "wallet",
    "currency": "usdc",
    "network": "sol",
    "amount": "0.00",
    "exchangeRate": "1.00"
  },
  "depositAccount": {
    "type": "bank_account",
    "bankDetails": {
      "bankName": "Bank of America",
      "accountHolderName": "SpherePay Inc.",
      "accountType": "checking",
      "accountNumber": "1234567890",
      "routingNumber": 26009593,
      "memo": "BBE6C7EB4A3F"
    }
  },
  "quote": null,
  "tracking": {
    "source": {},
    "destination": {}
  },
  "created": "2026-04-01T10:00:00.000Z",
  "updated": "2026-04-01T10:03:15.000Z"
}
Use este endpoint para cancelar uma transferência antes que os fundos sejam recebidos. O cancelamento só é possível enquanto a transferência está com status pendingFunding — uma vez que o SpherePay detecta um depósito de entrada e a transferência avança para fundsReceived ou além, ela não pode mais ser cancelada. Se os fundos chegarem após o cancelamento, o SpherePay tentará devolvê-los e a transferência pode transitar para returned ou pendingRefundInformation.
Você não pode cancelar uma transferência que esteja em qualquer status diferente de pendingFunding. Verifique o status da transferência com GET /v2/transfer/ antes de tentar o cancelamento.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de caminho

id
string
obrigatório

Resposta

id
string
obrigatório

A unique identifier for transfer.

Pattern: ^payout_[a-z0-9]{24}$
Exemplo:

"payout_a1b2c3d4e5f6a7b8c9d0e1f2"

type
enum<string>
obrigatório

The transfer type.

Opções disponíveis:
on_ramp,
off_ramp,
unmatched_deposit
Exemplo:

"on_ramp"

status
enum<string>
obrigatório

The transfer status. See Transfer Lifecycle for status definitions and transitions.

Opções disponíveis:
pendingFunding,
pendingReview,
fundsReceived,
processing,
succeeded,
undeliverable,
returned,
pendingRefundInformation,
failed,
canceled,
refunded,
unexpectedError,
failedPrecondition,
expired
Exemplo:

"pendingFunding"

customer
string
obrigatório

The customer ID.

Exemplo:

"customer_b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7"

source
Source Bank Account · object
obrigatório

The source of an on ramp transfer.

Exemplo:
{
"id": "bankAccount_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
"type": "bank_account"
}
destination
Destination Wallet · object
obrigatório

The destination of an On-ramp transfer. See Wallets for registration.

depositAccount
Deposit Bank Account · object
obrigatório

The deposit bank account for an on ramp transfer.

updated
string<date-time>
obrigatório

The last datetime the transfer was updated.

Exemplo:

"2021-01-01T00:00:00.000Z"

created
string<date-time>
obrigatório

The datetime the transfer was created.

Exemplo:

"2021-01-01T00:00:00.000Z"

tracking
object
obrigatório

Tracking references for the transfer. Only included when at least one reference exists.

externalId
string

The external reference (not stored as unique).

Exemplo:

"merchant_ref_123"

fees
object

Fee breakdown for the transfer. For floating-rate BRL transfers, this is omitted until settlement is complete.

quote
object

The quote used for this transfer, if any. When present, the locked exchange rate from the quote was applied to the destination amount and exchange rate.

Última modificação em 18 de junho de 2026